#
# spec file for package qca
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           qca
BuildRequires:  libjpeg-devel openssl-devel qt3-devel update-desktop-files
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Summary:        Qt Cryptographic Architecture
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://delta.affinix.com/qca/
Version:        1.0
Release:        255.35
Source:         %name-%{version}.tar.bz2
Source1:        %name-tls-%{version}.tar.bz2
Patch1:         qca-tls.dif
Provides:       qca-tls = %version

%description
This package provides a generic Qt cryptographic architecture,
including a library and a plug-in for using all supported capabilities
of openssl, like SSL/TLS, X509, RSA, SHA1, MD5, Blowfish, 3DES, and
AES.

It can be extended by further plug-ins, for example, qca-sasl for SASL
support.

%package devel
License:        LGPL-2.1+
Summary:        Qt Cryptographic Architecture
Group:          Development/Libraries/C and C++
Requires:       qca = %{version}

%description devel
This package provides a generic Qt cryptographic architecture,
including a library and a plugin for using all supported capabilities
of openssl, like SSL/TLS, X509, RSA, SHA1, MD5, Blowfish, 3DES and AES.

This package provides the general files for developing applications or
plug-ins for the QCA. You can also find examples in the
/usr/share/doc/packages/qca-devel/examples/ directory.

%prep
%setup -q -b 1
cd ../qca-tls-*
%patch1

%build
export PATH=/usr/lib/qt3/bin/:$PATH
export CXXFLAGS="$RPM_OPT_FLAGS"
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr/lib/qt3/
make %{?jobs:-j %jobs}
cd examples
qmake
cd ../../%name-tls-%version
./configure
make %{?jobs:-j %jobs}

%install
if test -w /usr/src/packages/BUILD; then
  # qmake of qt3 is pure crap
  INSTALL_ROOT=$RPM_BUILD_ROOT/usr/lib/qt3/%_lib/usr/
else
  INSTALL_ROOT=$RPM_BUILD_ROOT
fi
make install INSTALL_ROOT=$INSTALL_ROOT
cd ../%name-tls-%version
make install INSTALL_ROOT=$INSTALL_ROOT
if [ %_lib = lib64 ]; then
 rm -rf $RPM_BUILD_ROOT/usr/lib/qt3/%_lib
 mv $RPM_BUILD_ROOT/usr/lib/qt3/lib \
    $RPM_BUILD_ROOT/usr/lib/qt3/%_lib
fi
mkdir -p $RPM_BUILD_ROOT/usr/%_lib/
ln -sf ../lib/qt3/%_lib/libqca.so.1 $RPM_BUILD_ROOT/usr/%_lib/libqca.so.1

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING TODO
/usr/%_lib/libqca.so.1
/usr/lib/qt3/%_lib/*.so.*
/usr/lib/qt3/plugins/crypto

%files devel
%defattr(-,root,root)
%doc examples
/usr/lib/qt3/include/*
/usr/lib/qt3/%_lib/*.so

%changelog
* Mon Oct 24 2011 coolo@suse.com
- work around for a very great qmake workaround
* Fri Aug 12 2011 dmueller@suse.de
- remove libdrm-devel buildrequires
* Thu Apr 22 2010 coolo@novell.com
- compile also with older openssl
* Sun Apr 18 2010 coolo@novell.com
- compile with latest openssl
* Mon Jul 30 2007 dmueller@suse.de
- add a qca-tls provide
* Fri May 25 2007 dmueller@suse.de
- fix buildroot usage inside %%build
- remove pre-build examples from %%datadocdir
* Sat Sep  9 2006 dmueller@suse.de
- use RPM_OPT_FLAGS
* Mon Feb 13 2006 stbinner@suse.de
- fix build with older openssl
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct 14 2005 ro@suse.de
- try to fix build with current openssl
* Mon Sep 26 2005 mls@suse.de
- make devel package require base package
* Fri Jan  7 2005 adrian@suse.de
- fix build, do find qmake inside of $QTDIR/bin
* Tue Aug 31 2004 adrian@suse.de
- remove wrong rename of plugin
* Wed Aug  4 2004 adrian@suse.de
- initial package of version 1.0
- add also qca-tls package for openssl support to package
